
Ruby - Bug #13157

Rational doc bug

01/25/2017 01:13 AM - criglerj (Jim Crigler)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.3.3, 2.4.0 Backport: 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4:

UNKNOWN

Description

On the ruby-doc page for Rational, the following example appears.

Rational(900)   + Rational(1)      #=> (900/1)

I think it should be

Rational(900)   + Rational(1)      #=> (901/1)

Ruby executes the expression correctly, i.e., this is documentation only.

Related issues:

Related to Ruby - Bug #11752: Bug in Rational documentation Closed

History

#1 - 01/25/2017 05:20 AM - znz (Kazuhiro NISHIYAMA)

- Related to Bug #11752: Bug in Rational documentation added

#2 - 02/28/2017 08:47 PM - stomar (Marcus Stollsteimer)

- Status changed from Open to Closed

Fixed with r57539 (#11752).
